## PDC Get Selected Config

PDC Get Selected Config

## Functions

QmiMessagePdcGetSelectedConfigInput * | qmi_message_pdc_get_selected_config_input_new ()
QmiMessagePdcGetSelectedConfigInput * | qmi_message_pdc_get_selected_config_input_ref ()
void | qmi_message_pdc_get_selected_config_input_unref ()
gboolean | qmi_message_pdc_get_selected_config_input_get_token ()
gboolean | qmi_message_pdc_get_selected_config_input_set_token ()
gboolean | qmi_message_pdc_get_selected_config_input_get_config_type ()
gboolean | qmi_message_pdc_get_selected_config_input_set_config_type ()
QmiMessagePdcGetSelectedConfigOutput * | qmi_message_pdc_get_selected_config_output_ref ()
void | qmi_message_pdc_get_selected_config_output_unref ()
gboolean | qmi_message_pdc_get_selected_config_output_get_token ()
gboolean | qmi_message_pdc_get_selected_config_output_get_result ()
void | qmi_client_pdc_get_selected_config ()
QmiMessagePdcGetSelectedConfigOutput * | qmi_client_pdc_get_selected_config_finish ()

## Types and Values

| QmiMessagePdcGetSelectedConfigInput
| QmiMessagePdcGetSelectedConfigOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessagePdcGetSelectedConfigInput
        ╰── QmiMessagePdcGetSelectedConfigOutput

## Description

## Functions

### qmi_message_pdc_get_selected_config_input_new ()

    QmiMessagePdcGetSelectedConfigInput *
    qmi_message_pdc_get_selected_config_input_new
                                   (void);

Allocates a new QmiMessagePdcGetSelectedConfigInput.

#### Returns

the newly created QmiMessagePdcGetSelectedConfigInput. The returned value should be freed with `qmi_message_pdc_get_selected_config_input_unref()`.

Since: 1.18

### qmi_message_pdc_get_selected_config_input_ref ()

    QmiMessagePdcGetSelectedConfigInput *
    qmi_message_pdc_get_selected_config_input_ref
                                   (QmiMessagePdcGetSelectedConfigInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdcGetSelectedConfigInput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_pdc_get_selected_config_input_unref ()

    void
    qmi_message_pdc_get_selected_config_input_unref
                                   (QmiMessagePdcGetSelectedConfigInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdcGetSelectedConfigInput. |

Since: 1.18

### qmi_message_pdc_get_selected_config_input_get_token ()

    gboolean
    qmi_message_pdc_get_selected_config_input_get_token
                                   (QmiMessagePdcGetSelectedConfigInput *self,
                                    guint32 *value_token,
                                    GError **error);

Get the 'Token' field from `self` .

#### Parameters

self | a QmiMessagePdcGetSelectedConfigInput. |
value_token | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_get_selected_config_input_set_token ()

    gboolean
    qmi_message_pdc_get_selected_config_input_set_token
                                   (QmiMessagePdcGetSelectedConfigInput *self,
                                    guint32 value_token,
                                    GError **error);

Set the 'Token' field in the message.

#### Parameters

self | a QmiMessagePdcGetSelectedConfigInput. |
value_token | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_get_selected_config_input_get_config_type ()

    gboolean
    qmi_message_pdc_get_selected_config_input_get_config_type
                                   (QmiMessagePdcGetSelectedConfigInput *self,
                                    QmiPdcConfigurationType *value_config_type,
                                    GError **error);

Get the 'Config Type' field from `self` .

#### Parameters

self | a QmiMessagePdcGetSelectedConfigInput. |
value_config_type | a placeholder for the output QmiPdcConfigurationType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_get_selected_config_input_set_config_type ()

    gboolean
    qmi_message_pdc_get_selected_config_input_set_config_type
                                   (QmiMessagePdcGetSelectedConfigInput *self,
                                    QmiPdcConfigurationType value_config_type,
                                    GError **error);

Set the 'Config Type' field in the message.

#### Parameters

self | a QmiMessagePdcGetSelectedConfigInput. |
value_config_type | a QmiPdcConfigurationType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_get_selected_config_output_ref ()

    QmiMessagePdcGetSelectedConfigOutput *
    qmi_message_pdc_get_selected_config_output_ref
                                   (QmiMessagePdcGetSelectedConfigOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdcGetSelectedConfigOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_pdc_get_selected_config_output_unref ()

    void
    qmi_message_pdc_get_selected_config_output_unref
                                   (QmiMessagePdcGetSelectedConfigOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdcGetSelectedConfigOutput. |

Since: 1.18

### qmi_message_pdc_get_selected_config_output_get_token ()

    gboolean
    qmi_message_pdc_get_selected_config_output_get_token
                                   (QmiMessagePdcGetSelectedConfigOutput *self,
                                    guint32 *value_token,
                                    GError **error);

Get the 'Token' field from `self` .

#### Parameters

self | a QmiMessagePdcGetSelectedConfigOutput. |
value_token | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_get_selected_config_output_get_result ()

    gboolean
    qmi_message_pdc_get_selected_config_output_get_result
                                   (QmiMessagePdcGetSelectedConfigOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessagePdcGetSelectedConfigOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.18

### qmi_client_pdc_get_selected_config ()

    void
    qmi_client_pdc_get_selected_config (QmiClientPdc *self,
                                        QmiMessagePdcGetSelectedConfigInput *input,
                                        guint timeout,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously sends a Get Selected Config request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_pdc_get_selected_config_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientPdc. |
input | a QmiMessagePdcGetSelectedConfigInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.18

### qmi_client_pdc_get_selected_config_finish ()

    QmiMessagePdcGetSelectedConfigOutput *
    qmi_client_pdc_get_selected_config_finish
                                   (QmiClientPdc *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_pdc_get_selected_config()`.

#### Parameters

self | a QmiClientPdc. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_pdc_get_selected_config()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessagePdcGetSelectedConfigOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_pdc_get_selected_config_output_unref()`.

Since: 1.18

## Types and Values

### QmiMessagePdcGetSelectedConfigInput

    typedef struct _QmiMessagePdcGetSelectedConfigInput QmiMessagePdcGetSelectedConfigInput;

The QmiMessagePdcGetSelectedConfigInput structure contains private data and should only be accessed using the provided API.

Since: 1.18

### QmiMessagePdcGetSelectedConfigOutput

    typedef struct _QmiMessagePdcGetSelectedConfigOutput QmiMessagePdcGetSelectedConfigOutput;

The QmiMessagePdcGetSelectedConfigOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18